Bug 217557 - Review Request: keurocalc - KEuroCalc is a universal currency converter and calculator
Review Request: keurocalc - KEuroCalc is a universal currency converter and c...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-28 11:56 EST by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 18:57:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-11-28 11:56:40 EST
Spec URL: http://chitlesh.funpic.de/fedora/SPECS/keurocalc.spec
SRPM URL: http://chitlesh.funpic.de/fedora/SRPM/keurocalc-0.9.7-1.src.rpm

Description:
KEuroCalc is a universal currency converter and calculator. It
can convert from and to many currencies, either with a fixed
conversion rate or a variable conversion rate. It directly
downloads the latest variable rates through the Internet
Comment 1 manuel wolfshant 2006-11-28 12:10:44 EST
Please check the URL you have provided. On both of them I get:

Keine Berechtigung.
Richte auch du Deine kostenlose Homepage beim kostenlosen Webspace bei Funpic.de
ein.
Comment 2 Parag AN(पराग) 2006-11-28 12:23:31 EST
taking this for review
Comment 3 Chitlesh GOORAH 2006-11-28 12:25:28 EST
for some reason, i could access it, perhaps because it's an alias.

http://chitlesh.ch.funpic.de/fedora/SPECS/keurocalc.spec
http://chitlesh.ch.funpic.de/fedora/SRPM/keurocalc-0.9.7-1.src.rpm
Comment 4 Chitlesh GOORAH 2006-11-28 12:28:50 EST
Sorry there was middle-air-collision:
          What    |Removed                     |Added
----------------------------------------------------------------------------
OtherBugsDependingO|163776                      |163778
             nThis|                            |
Fixing it up.
Comment 5 manuel wolfshant 2006-11-28 12:40:41 EST
Just retried from several different places, via diferent internet providers.
FRom None of them was the link accessible. All end in something similar to
 19:38:23 (110 MB/s) - `403.html' saved [1777/1777]
Comment 6 Parag AN(पराग) 2006-11-28 12:51:47 EST
Chitlesh thanks.
manuel wolfshant,
    It worked for me without problem. Infact links in initial and comment 3 are
both working for me.
Comment 8 manuel wolfshant 2006-11-28 13:05:43 EST
Thanks, these ones do work.
Comment 9 Parag AN(पराग) 2006-11-28 13:12:10 EST
Chitlesh,
 Just did build (NOT mock)on my i386 system and I got many rpmlint warnings on
binary i386 rpm 

1)Got many The symbolic link points nowhere warnings.

2)can you check following command output and correct desktop file?
desktop-file-validate keurocalc.desktop

I don't think i need to specify all them here.
Time for me to go bed. Rest will see tomorrow.
Comment 10 Rex Dieter 2006-11-28 21:24:47 EST
> 1)Got many The symbolic link points nowhere warnings.

Mostly harmless.  It is not uncommon for kde apps to symlink to bits in kdelibs

>2)can you check following command output and correct desktop file?
>desktop-file-validate keurocalc.desktop

desktop-file-utils is buggy wrt many kde .desktop files, see bug #212350 and bug
#172423 .  Don't take it's warnings/errors as gospel.
Comment 11 Parag AN(पराग) 2006-11-28 23:06:24 EST
thanks for that information Rex
Comment 12 Parag AN(पराग) 2006-11-28 23:43:30 EST
But i do found something done for symlink warnings in bug #213432 is that
similar to this case?
Comment 13 Rex Dieter 2006-11-29 00:22:36 EST
You mean simply changing absolute symlinks to relative ones?
Comment 14 Parag AN(पराग) 2006-11-29 00:25:19 EST
(In reply to comment #13)
> You mean simply changing absolute symlinks to relative ones?
is that possible and will be working in kde package case.?
Comment 15 Parag AN(पराग) 2006-11-29 00:25:45 EST
Anyways here comes 
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and but NOT for RPMS.
  But those warnings can be ignored as said in comment #10.
+ source files match upstream.
d2e22dcbba267549bf3a93ed8bf715c2  keurocalc-0.9.7.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel or any subpackages exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files are not handled in usual way but its ok.
+ Used properly gtk-update-icon-cache scriptlet
Comment 16 Parag AN(पराग) 2006-11-30 01:45:31 EST
Looks like its not possible. 
APPROVED.
Don't forget to close this bug as NEXTRELEASE.
Comment 17 Dennis Gilmore 2006-12-02 19:13:09 EST
## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common 
$i/common
      done
    popd
  fi
done
fi  


Will make them relative 
Comment 18 Parag AN(पराग) 2006-12-02 22:58:33 EST
Thanks Denis
Comment 19 Parag AN(पराग) 2006-12-10 01:10:46 EST
Any reason behind not closing this bug?
Comment 20 Chitlesh GOORAH 2006-12-10 06:06:21 EST
Yes, I don't have an internet connection with certain ports opened. :(
I'll close thiss bug soon.
Comment 21 Parag AN(पराग) 2006-12-18 23:53:21 EST
Are you willing to implement solution given it
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217557#c17?
Comment 22 Chitlesh GOORAH 2006-12-23 18:57:08 EST
Yes, I have
Comment 23 Parag AN(पराग) 2006-12-23 21:27:35 EST
thanks

Note You need to log in before you can comment on or make changes to this bug.